GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::linearref::ExtractLineByLocation Class Reference

`#include <ExtractLineByLocation.h>`

## Public Member Functions
| ExtractLineByLocation (const geom::Geometry *line)
geom::Geometry * | extract (const LinearLocation &start, const LinearLocation &end)

## Static Public Member Functions
static geom::Geometry * | extract (const geom::Geometry *line, const LinearLocation &start, const LinearLocation &end)

## Detailed Description

Extracts the subline of a linear Geometry between two LinearLocations on the line.

## Member Function Documentation

static geom::Geometry* geos::linearref::ExtractLineByLocation::extract | ( | const geom::Geometry * | line,
|  | const LinearLocation & | start,
|  | const LinearLocation & | end
| ) |  |
| static

Computes the subline of a LineString between two LineStringLocations on the line. If the start location is after the end location, the computed geometry is reversed.

Parameters

  line | the line to use as the baseline
  start | the start location
  end | the end location

Returns
  the extracted subline

Referenced by geos::linearref::LocationIndexedLine::extractLine().

geom::Geometry* geos::linearref::ExtractLineByLocation::extract | ( | const LinearLocation & | start,
|  | const LinearLocation & | end
| ) |  |

Extracts a subline of the input. If `end < start` the linear geometry computed will be reversed.

Parameters

  start | the start location
  end | the end location

Returns
  a linear geometry

The documentation for this class was generated from the following file:

- ExtractLineByLocation.h